Skip to main content
POST
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
bank-payouts
/
simulate
Simulate bank payout
curl --request POST \
  --url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/bank-payouts/simulate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amounts": {
    "debitedAmount": {
      "currency": "CURRENCY",
      "amount": 1000
    },
    "receivedAmount": {
      "currency": "CURRENCY",
      "amount": 1000
    }
  },
  "recipient": {
    "country": "ES",
    "routingData": "IBAN"
  }
}
'
{
  "destination": {
    "currency": "CURRENCY",
    "amount": 1000
  },
  "origin": {
    "currency": "CURRENCY",
    "amount": 1000
  },
  "quote": {
    "rate": 1.08,
    "timestamp": "2025-01-15T10:30:00.000Z",
    "validUntil": "2025-01-15T10:30:30.000Z"
  },
  "quoteId": "q1a2b3c4-d5e6-4f7a-8b9c-0d1e2f3a4b5c"
}

Documentation Index

Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key for accessing management endpoints

Path Parameters

uid
string
required

User ID

aid
string
required

Account ID

Body

application/json

Payout details (see description for rules)

amounts
object
required
recipient
object
required

Response

OK

destination
object
origin
object
quote
object
quoteId
string
Example:

"q1a2b3c4-d5e6-4f7a-8b9c-0d1e2f3a4b5c"